Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.netuix.servicelevel
Enum PortletServiceLevel

    java.lang.Object
      java.lang.Enum<PortletServiceLevel>
          com.bea.netuix.servicelevel.PortletServiceLevel

All Implemented Interfaces
  Serializable, Comparable<PortletServiceLevel>

    public enum PortletServiceLevel

extends Enum<PortletServiceLevel>

Describes a ServiceLevel for a Portlet. Active is the normal ServiceLevel, where the Portal will process all of the Portlet's lifecycle stages. The Suspended ServiceLevel instructs the Portal to not process the Portlet at all, essentially removing the Portlet from the UIControl tree for all desktops that reference it until the ServiceLevel has been reset to active.

Enum Constant Summary
`active`
`suspended`

Method Summary
`int` | `getIntValue()`
`static PortletServiceLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PortletServiceLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### active

    public static final PortletServiceLevel active

### suspended

    public static final PortletServiceLevel suspended

Method Detail

### values

    public static final PortletServiceLevel[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static PortletServiceLevel valueOf(String name)

  Returns the enum constant of this type with the specified name.

### getIntValue

    public int getIntValue()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved